Page MenuHomePhabricator

[MSAN runtime] Add poison_stack function that also updates origin
AbandonedPublic

Authored by guiand on Jul 9 2020, 11:54 AM.

Details

Summary

With eager-checks and msan-poison-stack-with-call enabled, this
saves ~1.5% instrumented binary size.

Diff Detail

Event Timeline

guiand created this revision.Jul 9 2020, 11:54 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 9 2020, 11:54 AM
Herald added subscribers: llvm-commits, Restricted Project, hiraditya. · View Herald Transcript
vitalybuka accepted this revision.Jul 9 2020, 5:55 PM
vitalybuka added inline comments.
llvm/test/Instrumentation/MemorySanitizer/alloca.ll
9

flag order is inconsistent
also line breaks with \ is unnecessary
long lines should be accepted by clang-format -style file in tests

This revision is now accepted and ready to land.Jul 9 2020, 5:55 PM
eugenis requested changes to this revision.Jul 10 2020, 11:39 AM

I don't think 1.5% is good enough to introduce new runtime functions for the off-by-default code path.

This revision now requires changes to proceed.Jul 10 2020, 11:39 AM
guiand abandoned this revision.Jul 29 2020, 11:41 AM

I agree, this probably isn't going to be worth it.